> Documentation index for AI agents: https://docs.pagerduty.com/llms.txt

# Update a user's contact method

`PUT https://api.pagerduty.com/users/{id}/contact_methods/{contact_method_id}`

Update a User's contact method.

Users are members of a PagerDuty account that have the ability to interact with Incidents and other data on the account.

For more information see the [API Concepts Document](https://docs.pagerduty.com/developer/api-concepts#users)

Scoped OAuth requires: `users:contact_methods.write`

## Authorization

- **api_key** (apiKey) — `Authorization` header. The API Key with format `Token token=<API_KEY>`

## Path parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `id` | string | yes | The ID of the resource. |
| `contact_method_id` | string | yes | The contact method ID on the user. |

## Header parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `Accept` | string | yes | The `Accept` header is used as a versioning header. Default: `application/vnd.pagerduty+json;version=2`. |

## Request body (`application/json`)

The user's contact method to be updated.

| Field | Type | Required | Description |
|---|---|---|---|
| `contact_method` | one of: object \| object \| object \| object | yes |  |
| `contact_method.id` | string |  | (option 1) Read-only. |
| `contact_method.summary` | string \| null |  | (option 1) A short-form, server-generated string that provides succinct, important information about an object suitable for primary labeling of an entity in a client. In many cases, this will be identical to `name`, though it is not intended to be an identifier. Read-only. |
| `contact_method.type` | string | yes | (option 1) One of: `phone_contact_method`, `sms_contact_method`. |
| `contact_method.self` | string \| null (url) |  | (option 1) the API show URL at which the object is accessible. Read-only. |
| `contact_method.html_url` | string \| null (url) |  | (option 1) a URL at which the entity is uniquely displayed in the Web app. Read-only. |
| `contact_method.label` | string | yes | (option 1) The label (e.g., "Work", "Mobile", etc.). |
| `contact_method.address` | string | yes | (option 1) The "address" to deliver to: email, phone number, etc., depending on the type. |
| `contact_method.country_code` | integer | yes | (option 1) The 1-to-3 digit country calling code. Minimum: 1. Maximum: 1999. |
| `contact_method.enabled` | boolean |  | (option 1) If true, this phone is capable of receiving notifications. Read-only. |
| `contact_method.blacklisted` | boolean |  | (option 1) If true, this phone has been blacklisted by PagerDuty and no messages will be sent to it. Read-only. |
| `contact_method.id` | string |  | (option 2) Read-only. |
| `contact_method.summary` | string \| null |  | (option 2) A short-form, server-generated string that provides succinct, important information about an object suitable for primary labeling of an entity in a client. In many cases, this will be identical to `name`, though it is not intended to be an identifier. Read-only. |
| `contact_method.type` | string | yes | (option 2) One of: `push_notification_contact_method`. |
| `contact_method.self` | string \| null (url) |  | (option 2) the API show URL at which the object is accessible. Read-only. |
| `contact_method.html_url` | string \| null (url) |  | (option 2) a URL at which the entity is uniquely displayed in the Web app. Read-only. |
| `contact_method.label` | string | yes | (option 2) The label (e.g., "Work", "Mobile", etc.). |
| `contact_method.address` | string | yes | (option 2) The "address" to deliver to: email, phone number, etc., depending on the type. |
| `contact_method.device_type` | string | yes | (option 2) The type of device. Read-only. One of: `android`, `ios`. |
| `contact_method.sounds` | array of object |  | (option 2) |
| `contact_method.sounds[].type` | string |  | The type of sound. One of: `alert_high_urgency`, `alert_low_urgency`. |
| `contact_method.sounds[].file` | string |  | The sound file name. |
| `contact_method.created_at` | string (date-time) |  | (option 2) Time at which the contact method was created. |
| `contact_method.blacklisted` | boolean |  | (option 2) If true, this phone has been blacklisted by PagerDuty and no messages will be sent to it. Read-only. |
| `contact_method.id` | string |  | (option 3) Read-only. |
| `contact_method.summary` | string \| null |  | (option 3) A short-form, server-generated string that provides succinct, important information about an object suitable for primary labeling of an entity in a client. In many cases, this will be identical to `name`, though it is not intended to be an identifier. Read-only. |
| `contact_method.type` | string | yes | (option 3) One of: `email_contact_method`. |
| `contact_method.self` | string \| null (url) |  | (option 3) the API show URL at which the object is accessible. Read-only. |
| `contact_method.html_url` | string \| null (url) |  | (option 3) a URL at which the entity is uniquely displayed in the Web app. Read-only. |
| `contact_method.label` | string | yes | (option 3) The label (e.g., "Work", "Mobile", etc.). |
| `contact_method.address` | string | yes | (option 3) The "address" to deliver to: email, phone number, etc., depending on the type. |
| `contact_method.send_short_email` | boolean |  | (option 3) Send an abbreviated email message instead of the standard email output. Useful for email-to-SMS gateways and email based pagers. Default: `false`. |
| `contact_method.enabled` | boolean |  | (option 3) If true, this email address is capable of receiving email notifications. Read-only. |
| `contact_method.id` | string |  | (option 4) Read-only. |
| `contact_method.summary` | string \| null |  | (option 4) A short-form, server-generated string that provides succinct, important information about an object suitable for primary labeling of an entity in a client. In many cases, this will be identical to `name`, though it is not intended to be an identifier. Read-only. |
| `contact_method.type` | string | yes | (option 4) One of: `whatsapp_contact_method`. |
| `contact_method.self` | string \| null (url) |  | (option 4) the API show URL at which the object is accessible. Read-only. |
| `contact_method.html_url` | string \| null (url) |  | (option 4) a URL at which the entity is uniquely displayed in the Web app. Read-only. |
| `contact_method.label` | string | yes | (option 4) The label (e.g., "Work", "Mobile", etc.). |
| `contact_method.address` | string | yes | (option 4) The "address" to deliver to: email, phone number, etc., depending on the type. |
| `contact_method.country_code` | integer | yes | (option 4) The 1-to-3 digit country calling code. Minimum: 1. Maximum: 1999. |
| `contact_method.enabled` | boolean |  | (option 4) If true, this phone is capable of receiving WhatsApp messages. Read-only. |
| `contact_method.blacklisted` | boolean |  | (option 4) If true, this phone has been blacklisted by PagerDuty and no messages will be sent to it. Read-only. |

Example: Request Example

```json
{
  "contact_method": {
    "id": "PXPGF42",
    "type": "email_contact_method",
    "summary": "Work",
    "self": "https://api.pagerduty.com/users/PXPGF42/contact_method/PXPGF42",
    "label": "Work",
    "address": "grady.haylie.126@hickle.net",
    "send_short_email": false
  }
}
```

## Response 200

The user's contact method that was updated.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `contact_method` | one of: object \| object \| object |  |  |
| `contact_method.id` | string |  | (option 1) Read-only. |
| `contact_method.summary` | string \| null |  | (option 1) A short-form, server-generated string that provides succinct, important information about an object suitable for primary labeling of an entity in a client. In many cases, this will be identical to `name`, though it is not intended to be an identifier. Read-only. |
| `contact_method.type` | string | yes | (option 1) One of: `phone_contact_method`, `sms_contact_method`. |
| `contact_method.self` | string \| null (url) |  | (option 1) the API show URL at which the object is accessible. Read-only. |
| `contact_method.html_url` | string \| null (url) |  | (option 1) a URL at which the entity is uniquely displayed in the Web app. Read-only. |
| `contact_method.label` | string | yes | (option 1) The label (e.g., "Work", "Mobile", etc.). |
| `contact_method.address` | string | yes | (option 1) The "address" to deliver to: email, phone number, etc., depending on the type. |
| `contact_method.country_code` | integer | yes | (option 1) The 1-to-3 digit country calling code. Minimum: 1. Maximum: 1999. |
| `contact_method.enabled` | boolean |  | (option 1) If true, this phone is capable of receiving notifications. Read-only. |
| `contact_method.blacklisted` | boolean |  | (option 1) If true, this phone has been blacklisted by PagerDuty and no messages will be sent to it. Read-only. |
| `contact_method.id` | string |  | (option 2) Read-only. |
| `contact_method.summary` | string \| null |  | (option 2) A short-form, server-generated string that provides succinct, important information about an object suitable for primary labeling of an entity in a client. In many cases, this will be identical to `name`, though it is not intended to be an identifier. Read-only. |
| `contact_method.type` | string | yes | (option 2) One of: `push_notification_contact_method`. |
| `contact_method.self` | string \| null (url) |  | (option 2) the API show URL at which the object is accessible. Read-only. |
| `contact_method.html_url` | string \| null (url) |  | (option 2) a URL at which the entity is uniquely displayed in the Web app. Read-only. |
| `contact_method.label` | string | yes | (option 2) The label (e.g., "Work", "Mobile", etc.). |
| `contact_method.address` | string | yes | (option 2) The "address" to deliver to: email, phone number, etc., depending on the type. |
| `contact_method.device_type` | string | yes | (option 2) The type of device. Read-only. One of: `android`, `ios`. |
| `contact_method.sounds` | array of object |  | (option 2) |
| `contact_method.sounds[].type` | string |  | The type of sound. One of: `alert_high_urgency`, `alert_low_urgency`. |
| `contact_method.sounds[].file` | string |  | The sound file name. |
| `contact_method.created_at` | string (date-time) |  | (option 2) Time at which the contact method was created. |
| `contact_method.blacklisted` | boolean |  | (option 2) If true, this phone has been blacklisted by PagerDuty and no messages will be sent to it. Read-only. |
| `contact_method.id` | string |  | (option 3) Read-only. |
| `contact_method.summary` | string \| null |  | (option 3) A short-form, server-generated string that provides succinct, important information about an object suitable for primary labeling of an entity in a client. In many cases, this will be identical to `name`, though it is not intended to be an identifier. Read-only. |
| `contact_method.type` | string | yes | (option 3) One of: `email_contact_method`. |
| `contact_method.self` | string \| null (url) |  | (option 3) the API show URL at which the object is accessible. Read-only. |
| `contact_method.html_url` | string \| null (url) |  | (option 3) a URL at which the entity is uniquely displayed in the Web app. Read-only. |
| `contact_method.label` | string | yes | (option 3) The label (e.g., "Work", "Mobile", etc.). |
| `contact_method.address` | string | yes | (option 3) The "address" to deliver to: email, phone number, etc., depending on the type. |
| `contact_method.send_short_email` | boolean |  | (option 3) Send an abbreviated email message instead of the standard email output. Useful for email-to-SMS gateways and email based pagers. Default: `false`. |
| `contact_method.enabled` | boolean |  | (option 3) If true, this email address is capable of receiving email notifications. Read-only. |

Example: Response Example

```json
{
  "contact_method": {
    "id": "PXPGF42",
    "type": "email_contact_method",
    "summary": "Work",
    "self": "https://api.pagerduty.com/users/PXPGF42/contact_method/PXPGF42",
    "label": "Work",
    "address": "grady.haylie.126@hickle.net",
    "send_short_email": false
  }
}
```

## Response 400

Caller provided invalid arguments. Please review the response for error details. Retrying with the same arguments will *not* work.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 401

Caller did not supply credentials or did not provide the correct credentials.
If you are using an API key, it may be invalid or your Authorization header may be malformed.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 403

Caller is not authorized to view the requested resource.
While your authentication is valid, the authenticated user or token does not have permission to perform this action.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 404

The requested resource was not found.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 429

Too many requests have been made, the rate limit has been reached.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Developer Agreement

Your access to and use of the PagerDuty Developer Services is governed by the [PagerDuty Developer Agreement](https://docs.pagerduty.com/developer/pagerduty-developer-agreement).
